import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  userId: z.literal(true).optional(),
  vendorName: z.literal(true).optional(),
  websiteUrl: z.literal(true).optional(),
  loginUsername: z.literal(true).optional(),
  loginPassword: z.literal(true).optional()
}).strict();
export const ShoppingVendorMinAggregateInputObjectSchema: z.ZodType<Prisma.ShoppingVendorMinAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.ShoppingVendorMinAggregateInputType>;
export const ShoppingVendorMinAggregateInputObjectZodSchema = makeSchema();
